#!/bin/bash

test_a=$(./test_a 2> /dev/null)
echo "Test A (unoptimized): ${test_a}us"

test_b=$(./test_b 2> /dev/null)
echo "Test B (unoptimized): ${test_b}us"

echo "Slowdown:" "$(echo "scale=4; (${test_b}/${test_a})*100 - 100" | bc)%"

test_a_opt=$(./test_a_opt 2> /dev/null)
echo "Test A (optimized): ${test_a_opt}us"

test_b_opt=$(./test_b_opt 2> /dev/null)
echo "Test B (optimized): ${test_b_opt}us"

echo "Slowdown: " "$(echo "scale=4; (${test_b_opt}/${test_a_opt})*100 - 100" | bc)%"
